5.3.0-git
2014-10-26

[#10395] Email push support in activesync
Summary Email push support in activesync
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester saiping.so (at) foresttek (dot) com
Created 2011-07-29 (1185 days ago)
Due
Updated 2012-04-23 (916 days ago)
Assigned
Resolved 2012-04-23 (916 days ago)
Milestone 5
Patch No

History
2012-04-23 15:04:42 Michael Rubinsky State ⇒ Resolved
 
2012-03-08 04:59:39 Michael Rubinsky Assigned to Michael Rubinsky
Milestone ⇒ 5
 
2011-11-09 14:57:34 Michael Rubinsky Comment #6 Reply to this comment
Thanks for your update. But I'm not completely agree.
I could sponsor the creation, what would you need to do this 
implementation ? How much time you need
A very rough estimate would be around 40 or 50 developer hours.  If 
you are interested in sponsoring this, you may send an email to me 
directly at mrubinsk@horde.org and we can discuss our hourly rates and 
put together a more formal proposal.

Thanks for your interest!
2011-11-09 11:41:33 lorenzo (dot) valori (at) gmail (dot) com Comment #5 Reply to this comment

[Show Quoted Text - 47 lines]
I could sponsor the creation, what would you need to do this 
implementation ? How much time you need ?

2011-08-02 15:46:40 Michael Rubinsky Comment #4 Reply to this comment
Thanks for your update. But I'm not completely agree.

Take Android as an example. In user's point of view he/she will be 
expected the setting of Active Sync is going to open a mail box with 
push function, calendar and contact are add-on.
I use android, as do most of the devs, and have experienced no 
confusion regarding this.
The Android OS itself is also present mail as primary application, 
after I create the Active Sync account, it'll open the Mail app and 
nothing displayed, if it connect to Horde Active Sync.
The mail app will not automatically open after you create an EAS 
account. The device is smart enough to know there is no mail folder, 
since the server sends the folder tree to the device.
In my experience, the IPhone Mail App also works better with Active 
Sync protocol.
In general, iOS devices have a better overall EAS implementation. I 
agree. Though that doesn't have anything to do with the feature set 
that is provided by the server. The EAS version we currently support 
has a very limited feature set regarding mail when compared to a 
native IMAP connected mail app.
It push very efficient (using z-push) and immediate
I have found the zpush code to be *very* inefficient, though I guess 
that is a matter of opinion. Without getting into specifics,  this is 
mostly due to  the file-based state mechanism combined with the fact 
that it uses c-client's highly inefficient imap functions.
alert me for new mail but if I connect to the mail server using 
IMAP, it push nothing, I need to reload the Mail App to "get" the 
new mail.
Ok. Then the mail app on iOS is not as robust as other devices' 
clients in this regard.
When I upgrade to horde 4, I expect the push mail is work but 
disappointedly, the function is not added.
Well, like I said, if it is that important to you then you can 
consider sponsoring the development. Otherwise, you will have to wait 
until I have the time and motivation to write the activesync imap 
client code. As stated before, we can not simply port zpush's 
implementation.
2011-08-02 14:22:17 saiping (dot) so (at) foresttek (dot) com Comment #3 Reply to this comment
Thanks for your update. But I'm not completely agree.

Take Android as an example. In user's point of view he/she will be 
expected the setting of Active Sync is going to open a mail box with 
push function, calendar and contact are add-on.

The Android OS itself is also present mail as primary application, 
after I create the Active Sync account, it'll open the Mail app and 
nothing displayed, if it connect to Horde Active Sync.

In my experience, the IPhone Mail App also works better with Active 
Sync protocol. It push very efficient (using z-push) and immediate 
alert me for new mail but if I connect to the mail server using IMAP, 
it push nothing, I need to reload the Mail App to "get" the new mail.

When I upgrade to horde 4, I expect the push mail is work but 
disappointedly, the function is not added.
2011-08-01 01:20:16 Michael Rubinsky Queue ⇒ Horde Framework Packages
Version ⇒ Git master
 
2011-08-01 01:19:39 Michael Rubinsky Comment #2
Priority ⇒ 1. Low
State ⇒ Accepted
Reply to this comment
(1) I wouldn't call it "useless" without email, but I respect your 
opinion. The more common use case, in my experience, is having 
contacts/calendar/tasks available on your mobile device.

(2) I don't know of a single modern device that does not have a native 
(and in many cases, a choice of 3rd party) email applications. Most of 
these supporting push. The functionality you have available from these 
applications is FAR superior than what activesync, in general, can 
provide.

(3) ZPush != Horde_ActiveSync.  I didn't remove email support, it was 
never present in our code.  Our library makes use of a refactored 
version of the protocol level code in the zpush library...the code 
that communicates with the device.  All other code, including backend 
polling and state management was written from the ground up.

The zpush imap backend is based on the php imap functions. Horde 4 
does not (and can not) utilize the php imap extension, so the email 
collection support would have to be mostly written from scratch as 
well. Not to mention how horribly inefficient it would be to open and 
maintain all those extra imap connections.

Not saying it can't be done, but it's not likely to happen without 
someone sponsoring the work. Leaving as "Accepted", but it's pretty 
low on my list.
2011-07-29 07:20:07 saiping (dot) so (at) foresttek (dot) com Comment #1
State ⇒ New
Patch ⇒ No
Milestone ⇒
Queue ⇒ Horde Groupware Webmail Edition
Summary ⇒ Email push support in activesync
Type ⇒ Enhancement
Priority ⇒ 3. High
Reply to this comment
Why the activesync in horde4 not support email push?  I believe it's 
useless if you setup the activesync account in IPhone or Android 
without mail.

The z-push had supported IMAP backend for long time and it works 
great, but I don't understand why this part is removed after horde 
integration. Could you add it back?